<?php
/*
* @version $Id: mod_kunena_kunena_user_hits.php $
* @version      1.0.0 30/05/2014
* @package		mod_kunena_attach
* @author       Bernard Saulmé
* @copyright    Copyright (C) 2014 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// No direct access
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

if (@file_exists(JPATH_ROOT.DS.'components'.DS.'com_kunena'.DS.'kunena.php') && KunenaForum::enabled()) {

	// Include once mod_kunena_topic_user functions
	require_once (dirname(__FILE__).DS.'helper.php');

	// Parameter reading
	$display_reset_button = $params->get('display_reset_button', 1); // (0) display counter, (1) reset button, (2) reset for owner connected, (3) reset for all registered connected
	$reset_limit = intval($params->get('reset_limit', 50));

	// Current user
	$user = JFactory::getuser();
	if ($user->id == 0) // Action only for connected users
		return;

	// Reset without display
	if ($display_reset_button > 1) {
		if ($display_reset_button == 3)
			$user = null;

		// Reset user hits
		$retour = modKunenaUserHitsHelper::resetUserHits($user, $reset_limit);
		if ($retour)
			JFactory::getApplication()->enqueueMessage(JText::_('MOD_KUNENAUSERHITS_INFO_RESET'));
		return;
	}

	// Display counter or button

	// Url
	$url = JURI::current();
	$return = base64_encode($url);

	// User hits
	$hits_count = modKunenaUserHitsHelper::getUserHits($user);

	require(JModuleHelper::getLayoutPath('mod_kunena_user_hits'));
}

?>
